%define upstream_name    LaTeX-TikZ
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Type constraint metaclass that autoloads type coercions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::Complex)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Mouse)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildArch: noarch

%description
This module provides an object model for TikZ, a graphical toolkit for
LaTeX. It allows you to build structures representing geometrical figures,
apply a wide set of modifiers on them, transform them globally with
functors, and print them in the context of an existing TeX document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 368944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 163271
- imported package perl-LaTeX-TikZ

